[coreboot-gerrit] New patch to review for coreboot: e4f44e6 gitconfig: Add sample checks shipped by git

Paul Menzel (paulepanter@users.sourceforge.net) gerrit at coreboot.org
Thu May 30 00:39:37 CEST 2013


Paul Menzel (paulepanter at users.sourceforge.net) just uploaded a new patch set to gerrit, which you can find at http://review.coreboot.org/3336

-gerrit

commit e4f44e690db1bf451aff93af3d66c7114781ecc7
Author: Paul Menzel <paulepanter at users.sourceforge.net>
Date:   Thu May 30 00:36:29 2013 +0200

    gitconfig: Add sample checks shipped by git
    
    Several checks are listed in git’s example hook files. So use the
    ones from the pre-commit hook. They check for non-ascii file names
    and whitespace errors.
    
    Please run `make gitconfig` again to get the updated hooks.
    
    Change-Id: Iad09ab62620b68e652cf55dc3f6d2033075989fb
    Signed-off-by: Paul Menzel <paulepanter at users.sourceforge.net>
---
 util/gitconfig/pre-commit | 42 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)

diff --git a/util/gitconfig/pre-commit b/util/gitconfig/pre-commit
index 8ab3e56..7043f42 100755
--- a/util/gitconfig/pre-commit
+++ b/util/gitconfig/pre-commit
@@ -1,2 +1,44 @@
 #!/bin/sh
 exec make lint-stable
+
+if git rev-parse --verify HEAD >/dev/null 2>&1
+then
+	against=HEAD
+else
+	# Initial commit: diff against an empty tree object
+	against=4b825dc642cb6eb9a060e54bf8d69288fbee4904
+fi
+
+# If you want to allow non-ascii filenames set this variable to true.
+allownonascii=$(git config hooks.allownonascii)
+
+# Redirect output to stderr.
+exec 1>&2
+
+# Cross platform projects tend to avoid non-ascii filenames; prevent
+# them from being added to the repository. We exploit the fact that the
+# printable range starts at the space character and ends with tilde.
+if [ "$allownonascii" != "true" ] &&
+	# Note that the use of brackets around a tr range is ok here, (it's
+	# even required, for portability to Solaris 10's /usr/bin/tr), since
+	# the square bracket bytes happen to fall in the designated range.
+	test $(git diff --cached --name-only --diff-filter=A -z $against |
+	  LC_ALL=C tr -d '[ -~]\0' | wc -c) != 0
+then
+	echo "Error: Attempt to add a non-ascii file name."
+	echo
+	echo "This can cause problems if you want to work"
+	echo "with people on other platforms."
+	echo
+	echo "To be portable it is advisable to rename the file ..."
+	echo
+	echo "If you know what you are doing you can disable this"
+	echo "check using:"
+	echo
+	echo "  git config hooks.allownonascii true"
+	echo
+	exit 1
+fi
+
+# If there are whitespace errors, print the offending file names and fail.
+exec git diff-index --check --cached $against --



More information about the coreboot-gerrit mailing list